package org.apache.ojb.broker.cache;

import org.apache.ojb.broker.Identity;
import org.apache.ojb.broker.PersistenceBroker;

import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

/* Copyright 2003-2004 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
public class ObjectCacheUnlimitedImpl implements ObjectCache
{
	/**
	 * the hashtable holding all cached object
	 */
	protected static Map objectTable = new HashMap();

	/**
	 * public Default Constructor
	 */
	public ObjectCacheUnlimitedImpl(PersistenceBroker broker, Properties prop)
	{
	}

	/**
	 * Clear ObjectCache. I.e. remove all entries for classes and objects.
	 */
	public void clear()
	{
		objectTable.clear();
	}

	/**
	 * Makes object persistent to the Objectcache
	 */
	public void cache(Identity oid, Object obj)
	{
		if ((obj != null))
		{
			objectTable.put(oid, obj);
		}
	}

	/**
	 * Lookup object with Identity oid in objectTable.
	 * Returns null if no matching id is found
	 */
	public Object lookup(Identity oid)
	{
		return objectTable.get(oid);
	}

	/**
	 * Removes an Object from the cache.
	 */
	public void remove(Identity oid)
	{
		if (oid != null)
		{
			objectTable.remove(oid);
		}
	}
}
