package org.apache.ojb.broker.core;


/* Copyright 2003-2004 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


/**
 * @author <a href="mailto:thma@apache.org">Thomas Mahler<a>
 * @version $Id: PersistenceBrokerConfiguration.java,v 1.4 2004/04/09 13:22:28 tomdz Exp $
 */

public interface PersistenceBrokerConfiguration
{
    public Class getConnectionFactoryClass();

    public Class getObjectCacheClass();

    /**
     * Returns an array of the declared
     * {@link org.apache.ojb.broker.cache.CacheFilter},
     * or <code>null</code> if none found.
     */
    public String[] getCacheFilters();

    public Class getPersistentFieldClass();

    public String getRepositoryFilename();

    public Class getPersistenceBrokerClass();

    public int getSqlInLimit();
}
